/* About Section */
#about-section {
  display: flex;
  justify-content: center;
  padding: 40px;
  margin-top: 20px;
}

/* About Container */
.about-container {
  display: flex;
  width: 80%;
  max-width: 1200px;
  gap: 40px;
}

/* Left Side: Image */
.about-image {
  flex: 1; /* Takes equal space (50%) */
  max-width: 50%;
  display: flex;
  align-items: flex-start; /* Keeps image aligned to the top */

  max-width: 100%;
}

.about-image img {
  max-width: 70%;
  height: auto;
  display: block;
  border-radius: 20px;
}

/* Right Side: Text */
.about-text {
  flex: 1; /* Takes equal space (50%) */
  max-width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: left;
  color: #fff;

  max-width: 90%;
}

/* Text Styles */
.about-text h1 {
  font-size: 1.6rem;
  margin-bottom: 10px;
}

.about-text h3 {
  font-size: 1rem;
  margin-bottom: 2rem;
}

.about-text p {
  font-size: 0.9rem;
  line-height: 1.6;
  margin-bottom: 2rem;
}
.italic {
  font-style: italic;
}

/* Responsive Design: Stack on Smaller Screens */
@media (max-width: 800px) {
  .about-container {
    flex-direction: column;
    text-align: center;
    gap: 20px;
  }

  .about-image,
  .about-text {
    max-width: 100%; /* Each takes full width on smaller screens */
  }

  .about-image {
    justify-content: center;
  }

  .about-text {
    align-items: center;
  }
}

/* -------------------------- */

/* RESPONSIVE */

@media (max-width: 480px) {
  #about-section {
    display: flex;
    justify-content: center;
    padding: 40px;
    margin-top: 200px;
  }

  /* About Container */
  .about-container {
    display: flex;
    width: 90%;
    /* max-width: 1200px; */
    gap: 80px;
    justify-content: center;
  }
  /* Left Side: Image */
  .about-image {
    max-width: 100%;
    display: flex;
    align-items: flex-start; /* Keeps image aligned to the top */

    max-width: 100%;
  }

  .about-image img {
    max-width: 90%;
    height: auto;
    display: block;
    border-radius: 20px;
    filter: saturate(0);
  }
  /* Right Side: Text */
  .about-text {
    max-width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    color: #fff;

    max-width: 100%;
  }

  /* Text Styles */
  .about-text h1 {
    font-size: 1.6rem;
    margin-bottom: 10px;
  }

  .about-text h3 {
    font-size: 1.2rem;
    margin-bottom: 2rem;
  }

  .about-text p {
    font-size: 1rem;
    line-height: 1.6;
    margin-bottom: 2rem;
  }
}

@media (min-width: 481px) and (max-width: 800px) {
  #about-section {
    display: flex;
    justify-content: center;
    padding: 40px;
    margin-top: 200px;
  }

  /* About Container */
  .about-container {
    display: flex;
    width: 90%;
    /* max-width: 1200px; */
    gap: 80px;
    justify-content: center;
    align-items: center;
  }
  /* Left Side: Image */
  .about-image {
    max-width: 80%;
    display: flex;
    align-items: flex-start; /* Keeps image aligned to the top */
  }

  .about-image img {
    max-width: 90%;
    height: auto;
    display: block;
    border-radius: 20px;
    filter: saturate(0);
  }
  /* Right Side: Text */
  .about-text {
    max-width: 80%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    color: #fff;
  }

  /* Text Styles */
  .about-text h1 {
    font-size: 1.8rem;
    margin-bottom: 10px;
  }

  .about-text h3 {
    font-size: 1.2rem;
    margin-bottom: 4rem;
  }

  .about-text p {
    font-size: 1rem;
    line-height: 1.6;
    margin-bottom: 2rem;
  }
}

@media (min-width: 801px) and (max-width: 1023px) {
  #about-section {
    display: flex;
    justify-content: center;
    padding: 40px;
    margin-top: 100px;
  }
}
